MR-E-2 SDK

Public Member Functions | Public Attributes | List of all members
MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController Class Reference
Inheritance diagram for MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController:

## Public Member Functions
bool | Connect (int port)
| Connects to the device on given port More...
void | Disconnect ()
| Disconnects from the device More...
bool | GoToDfuMode ()
| Switches device to DFU mode More...
bool | ChangeModeToPro ()
| Switches device to PRO mode More...
bool | ChangeModeToSimple ()
| Switches device to SIMPLE mode More...
bool | IsConnected ()
| Returns true, if connection to device is established More...
bool | Reconnect ()
| Reconnects to already connected device More...
string | GetElectronicSerialNumber ()
| Returns serial number of the electronic More...
string | GetProductSerialNumber ()
| Returns serial number of the product More...
byte[] | GetBytes (int index, int length)
| Returns board EEPROM bytes starting at index provided as parameter. More...
void | SetBytes (int index, byte[] bytes)
| Sets board EEPROM bytes starting at index provided as parameter. More...
void | ResetErrorFlags ()
| Resets error flag to 0. More...
int | GetBoardFirmwareId ()
| Returns firmware ID of the electronic. More...
int | GetBoardFirmwareBranch ()
| Returns branch ID of the electronic. More...
char | GetBoardFirmwareType ()
| Returns type of the electronic. More...
int | GetBoardFirmwareMajorVersion ()
| Returns firmware major version of the electronic. More...
int | GetBoardFirmwareMinorVersion ()
| Returns firmware minor version of the electronic. More...
int | GetBoardFirmwareRevisionVersion ()
| Returns firmware revision version of the electronic. More...
int | GetBoardFirmwareBuildVersion ()
| Returns firmware build version of the electronic. More...
int | GetProxyFpgaVersion ()
| Returns proxy FPGA version. More...
int | GetCpuFpgaVersion ()
| Returns CPU FPGA version. More...
string | GetFirmwareSerialNumber ()
| Returns firmware serial number. More...
string | GetGitHeadSha1 ()
| Returns Git Head SHA1. More...
IDeviceErrorState[] | GetDeviceStatus ()
| Returns states of the device. More...
int | GetEepromVersion ()
| Returns EEPROM version. More...
int | GetEepromSubVersion ()
| Returns EEPROM subversion. More...
int | GetPartConfiguration ()
| Returns part configuration value. More...
int | GetPartConfigurationVersion ()
| Returns part configuration version value. More...
int | GetMaxPositiveCurrent ()
| Returns max positive current. More...
int | GetMaxNegativeCurrent ()
| Returns max negative current. More...
int | GetTemperatureOffsetA ()
| Returns temperature offset for the A motor. More...
int | GetTemperatureGradientA ()
| Returns temperature gradient for the A motor. More...
int | GetTemperatureOffsetB ()
| Returns temperature offset for the B motor. More...
int | GetTemperatureGradientB ()
| Returns temperature gradient for the B motor. More...
void | WriteCurrent (EAxis axis, float value)
| Sets static input in amperes. Range is from -0.7 to 0.7. More...
void | WriteOpticalFeedback (EAxis axis, float value)
| Sets static input in OF. Range differs for each mirror. More...
EUnitType | ReadActiveStaticInputType (EAxis axis)
| Returns active static input type. Determined by active control stage system. More...
void | WriteAngle (EAxis axis, float value)
| Sets static input in XY coordinates. Range is from -1.0 to 1.0. More...
ushort | ReadAdcRawValue (EAxis axis)
| Returns converted ADC raw value. More...
EUnitType | ReadActiveInputType (EAxis axis)
| Returns active analog input type. Determined by active control stage system. More...
float | ReadCurrent (EAxis axis)
| Returns static input in amperes. Range is from -0.7 to 0.7. More...
float | ReadAngle (EAxis axis)
| Returns static input in XY coordinates. Range is from -1.0 to 1.0. More...
float | ReadOpticalFeedback (EAxis axis)
| Returns static input in OF. Range differs for each mirror. More...
float | ReadAmplitude (EAxis axis)
| Returns amplitude of generated signal. More...
float | ReadFrequency (EAxis axis)
| Returns frequency in Hz of generated signal. More...
float | ReadPhaseDelay (EAxis axis)
| Returns phase in rad of generated signal. More...
EWaveformShape | ReadShape (EAxis axis)
| Returns shape of waveform. More...
void | SwitchRunning (EAxis axis, bool enable)
| Disable/enable signal generator (running, stopped). More...
void | WriteShape (EAxis axis, EWaveformShape shape)
| Sets shape of waveform. More...
void | WriteAmplitude (EAxis axis, float value)
| Sets amplitude of generated signal. More...
void | WriteFrequency (EAxis axis, float value)
| Sets frequency in Hz of generated signal. More...
void | WritePhaseDelay (EAxis axis, float phaseDelay)
| Sets phase in rad of generated signal. More...
float | ReadDutyCycles (EAxis axis)
| Returns duty cycle of square and pulse shapes (ignored for other shape types) More...
void | WriteDutyCycles (EAxis axis, float dutyCycles)
| Sets duty cycle of square and pulse shapes (ignored for other shape types) More...
void | WriteOffset (EAxis axis, float offset)
| Sets offset of generated signal. More...
void | WriteScale (EAxis axis, float scale)
| Sets multiplier of input. More...
float | ReadOffset (EAxis axis)
| Returns offset of generated signal. More...
float | ReadScale (EAxis axis)
| Returns multiplier of input. More...
void | ChangeActiveSystem (EAxis axis, EmrE2InputStageSystems inputStageSystem)
| Changes active input system of the axis. More...
EmrE2InputStageSystems | ReadActiveSystem (EAxis axis)
| Returns active input system of the axis. More...
void | ChangeActiveSystem (EMrE2ControlModeSystems mrE2ControlModeSystem, EAxis axis)
| Sets active control mode system of the axis. More...
void | WriteSignalGeneratorValues (SignalGeneratorValuesDto singleAxis, EAxis axis)
| Sets object populated with signal generator values. More...
SignalGeneratorValuesDto | ReadSignalGeneratorValues (EAxis axis)
| Returns object populated with signal generator values. More...
void | SwitchArbitraryVector (EAxis axis, bool running)
| Sets status of signal generator (running, stopped). More...
float | ReadSampleRate (EAxis axis)
| Returns sample rate in Hz. More...
void | WriteSampleRate (EAxis axis, float value)
| Sets sample rate in Hz. More...
float | ReadMinimumSamplingRate (EAxis axis)
| Returns minimum sampling rate in Hz. More...
float | ReadMaximumSamplingRate (EAxis axis)
| Returns maximum sampling rate in Hz. More...
int | ReadCycles (EAxis axis)
| Returns number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping. More...
void | WriteCycles (EAxis axis, int cycles)
| Sets number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping. More...
bool | ReadExternalTrigger (EAxis axis)
| Returns flag. If true, turning on the signal generator can be synchronized with an external signal. More...
void | WriteExternalTrigger (EAxis axis, bool trigger)
| Sets flag. If true, turning on the signal generator can be synchronized with an external signal. More...
bool | IsRunning (EAxis axis)
| Returns status of signal generator (running, stopped). More...
void | WriteUnitType (EAxis axis, EUnitType unit)
| Sets active analog input type. Determined by active control stage system. More...
EUnitType | ReadUnitType (EAxis axis)
| Returns active analog input type. Determined by active control stage system. More...
void | SaveMemoryPersistence ()
| Saves the vector pattern memory contents (RAM) to the flash memory. More...
float | ReadCurrentLimit (EAxis axis)
| Returns limit in amperes where the output clamps. More...
void | WriteCurrentLimit (EAxis axis, float value)
| Sets limit in amperes where the output clamps. More...
int | ReadChannelNumber (EAxis axis)
| Returns channel number. More...
float | ReadActualCurrent (EAxis axis)
| Returns current current output in amperes for axis. More...
void | WriteBoardTemperatureThreshold (int temperatureThreshold)
| Sets board temperature threshold. More...
int | ReadBoardTemperatureThreshold ()
| Returns board temperature threshold. More...
void | WriteDeviceTemperatureThreshold (int temperatureThreshold)
| Sets device temperature threshold. More...
int | ReadDeviceTemperatureThreshold ()
| Returns board temperature threshold. More...
int | ReadBoardTemperature ()
| Returns board temperature. More...
int | ReadDeviceTemperature ()
| Returns device temperature. More...
void | LoadSnapshot (int snapshotNumber)
| Loads the snapshot by it's number. More...
void | SaveSnapshot (int snapshotNumber)
| Saves current configuration to the snapshot by it's number. More...
int | ReadNumberOfAvailableSnapshots ()
| Returns number of available snapshot slots. More...
void | LockMirrorEepromWriting ()
| Locks mirror EEPROM writing. More...
void | UnlockMirrorEepromWriting ()
| Unlocks mirror EEPROM writing. More...
void | LockWriting ()
| Locks board EEPROM writing. More...
void | UnlockWriting ()
| Unlocks board EEPROM writing. More...
int | ReadStartupSnapshotNumber ()
| Returns snapshot's number that is load on system startup. More...
void | WriteStartupSnapshotNumber (int snapshotNumber)
| Sets snapshot's number that is load on system startup. More...
int | ReadErrorSystemId ()
| Returns ID of system which caused the last snapshot error. More...
int | ReadErrorRegisterId ()
| Returns ID of register which caused the last snapshot error. More...
int | ReadErrorValue ()
| Returns ID of value which caused the last snapshot error. More...
void | ReparseMirrorEeprom ()
| Reparse mirror EEPROM. More...
float | ReadAverageLimitPeriod (EAxis axis)
| Returns number of seconds to average current. More...
void | WriteAverageLimitPeriod (EAxis axis, float value)
| Sets number of seconds to average current. More...
float | ReadAverageLimitSum (EAxis axis)
| Returns maximum allowed average current in amperes. More...
void | WriteAverageLimitSum (EAxis axis, float value)
| Sets maximum allowed average current in amperes. More...
float | ReadCooldownPeriod (EAxis axis)
| Returns length of cool-down period in seconds. More...
void | WriteCooldownPeriod (EAxis axis, float value)
| Sets length of cool-down period in seconds. More...
float | ReadActualOutputOpticalFeedback (EAxis axis)
| Returns actual output optical feedback. More...
float | ReadActualOutputAngle (EAxis axis)
| Returns actual output angle (XY). More...
float | ReadStabilityCriterionPositionParameterA ()
| Returns stability criterion position parameter A (see MR-E-2 documentation for further details). More...
float | ReadStabilityCriterionPositionParameterB ()
| Returns stability criterion position parameter B (see MR-E-2 documentation for further details). More...
float | ReadStabilityCriterionVelocityParameterA ()
| Returns stability criterion velocity parameter A (see MR-E-2 documentation for further details). More...
float | ReadStabilityCriterionVelocityParameterB ()
| Returns stability criterion velocity parameter B (see MR-E-2 documentation for further details). More...
float | ReadRawPhotoDiodePd0 ()
| Returns raw photo diode PD0. More...
float | ReadRawPhotoDiodePd1 ()
| Returns raw photo diode PD1. More...
float | ReadRawPhotoDiodePd2 ()
| Returns raw photo diode PD2. More...
float | ReadRawPhotoDiodePd3 ()
| Returns raw photo diode PD3. More...
float | ReadFilteredPhotoDiodePd0 ()
| Returns filtered photo diode PD0. More...
float | ReadFilteredPhotoDiodePd1 ()
| Returns filtered photo diode PD1. More...
float | ReadFilteredPhotoDiodePd2 ()
| Returns filtered photo diode PD2. More...
float | ReadFilteredPhotoDiodePd3 ()
| Returns filtered photo diode PD3. More...
int | ReadLoggedRegisterAddress (int registerNumber)
| Returns address of register to log in the corresponding vector. More...
void | WriteLoggedRegisterAddress (int registerNumber, ushort registerAddress)
| Sets address of register to log in the corresponding vector. More...
void | StartLogger ()
| Starts logger. Will be stopped after the memory is filled. More...
void | StopLogger ()
| Stops logger. More...
bool | IsLoggerRunning ()
| Returns logger running status. More...
float | ReadLoggerSamplingRate ()
| Returns sampling rate in Hz which the logger logs values. More...
void | WriteLoggerSamplingRate (float samplingRate)
| Sets sampling rate in Hz which the logger logs values. More...
float | ReadLoggerMinimumSamplingFrequency ()
| Returns minimum sampling rate in Hz which the logger logs values. More...
float | ReadLoggerMaximumSamplingFrequency ()
| Returns maximum sampling rate in Hz which the logger logs values. More...
int[] | ReadLoggerRegisterLog (int registerNumber, int startIndex=0, int endIndex=5000)
| Returns logged values for corresponding registers. More...
float | ReadMirrorLedIntensity ()
| Returns mirror LED intensity. 1.0 corresponds to 100mA. More...
void | WriteMirrorLedIntensity (float ledIntensity)
| Configures mirror LED intensity. 1.0 corresponds to 100mA. More...
void | SwitchProxyFpgaClock (bool enabled)
| Disable/enable proxy FPGA clock. More...
void | SwitchCpuBoardStatusLed (bool enabled)
| Disable/enable CPU board status LED. More...
void | DumpFpgaMappedMemory ()
| Dump FPGA mapped memory. More...
void | DumpDeviceEepromMappedMemory ()
| Dump device EEPROM mapped memory. More...
int | FpgaStatusRegister ()
| Get FPGA status register. More...
void | DumpBoardEepromMappedMemory ()
| Dump board EEPROM mapped memory. More...
void | SwitchProxyBoardStatusLed (bool enabled)
| Disable/enable proxy board status LED. More...
void | ResetFirmware ()
| Resets firmware. More...
int | ReadDeviceEepromDumpSize ()
| Returns device EEPROM dump size. Amount of device EEPROM bytes to dump. More...
void | WriteDeviceEepromDumpSize (int eepromDumpSize)
| Sets device EEPROM dump size. Amount of device EEPROM bytes to dump. More...
int | ReadBoardEepromDumpSize ()
| Returns board EEPROM dump size. More...
void | WriteBoardEepromDumpSize (int eepromDumpSize)
| Sets board EEPROM dump size. Amount of device EEPROM bytes to dump. More...
byte[] | ReadVectorData ()
| Returns vector data to write or read. More...
void | WriteVectorData (byte[] vectorData)
| Sets vector data to write or read. More...
int | ReadVectorAddress ()
| Returns vector address ('System ID' + 'Vector ID') to write or read. More...
void | WriteVectorAddress (int vectorAddress)
| Sets vector address ('System ID' + 'Vector ID') to write or read. More...
uint | ReadVectorIndex ()
| Returns index within vector to write or read. More...
void | WriteVectorIndex (uint vectorIndex)
| Sets index within vector to write or read. More...
uint | ReadDataSize ()
| Returns number of bytes to write or read. Can be between 1 and 4. More...
void | WriteDataSize (uint dataSize)
| Sets number of bytes to write or read. Can be between 1 and 4. More...
void | WriteVector ()
| Writes vector. After writing, vector index is automatically incremented by the data size. More...
void | ReadVector ()
| Reads vector. After reading, vector index is automatically incremented by the data size. More...
int | ReadErrorFlag ()
| Returns the error flag returned by the previous write or read operation. More...
int | ReadSpiReadPointer0Address ()
| Returns the address of the register that will be used to update the read back bytes 4-7 in the slave response. More...
void | WriteSpiReadPointer0Address (int address)
| Sets the address of the register that will be used to update the read back bytes 4-7 in the slave response. More...
int | ReadSpiReadPointer1Address ()
| Returns the address of the register that will be used to update the read back bytes 8-11 in the slave response. More...
void | WriteSpiReadPointer1Address (int address)
| Sets the address of the register that will be used to update the read back bytes 8-11 in the slave response. More...
uint | ReadSystemTick ()
| Returns system tick. Register value is incremented by one at the controller frequency (10kHz). More...
int | ReadI2CReadPointer0Address ()
| Returns the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency. More...
void | WriteI2CReadPointer0Address (int address)
| Sets the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency. More...
int | ReadI2CReadPointer1Address ()
| Returns the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency. More...
void | WriteI2CReadPointer1Address (int address)
| Sets the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency. More...
uint | ReaI2CErrorResponse0 ()
| Returns error response of the first register of the write request. More...
uint | ReaI2CErrorResponse1 ()
| Returns error response of the second register of the write request. More...

## Public Attributes
IStatus | Status => this
IBoardEeprom | BoardEeprom => this
IDeviceEeprom | DeviceEeprom => this
ITemperatureManager | TemperatureManager => this
IOpticalFeedbackManager | OpticalFeedbackManager => this
ILogger | Logger => this
IMiscellaneousFeatures | MiscellaneousFeatures => this
IMemoryManager | MemoryManager => this
ISnapshotManager | SnapshotManager => this
IVectorAdapter | VectorAdapter => this
ISpi | Spi => this
II2C | I2C => this
ISignalFlowManager | SignalFlowManager => this
IInputStage | InputStage => this
IInputConditioningStage | InputConditioningStage => this
IControlModeStage | ControlModeStage => this
IOutputStage | OutputStage => this
IStaticValue | StaticValue => this
IAnalogInput | AnalogInput => this
ISignalGenerator | SignalGenerator => this
IArbitraryVector | ArbitraryVector => this
IOpticalFeedbackPid | OpticalFeedbackPid => this
IAnglePid | AnglePid => this
IOffsetAndScale | OffsetAndScale => this
ILinearOutput | LinearOutput => this

## Additional Inherited Members
Properties inherited from MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController
IStatus | Status`[get]`
IBoardEeprom | BoardEeprom`[get]`
IDeviceEeprom | DeviceEeprom`[get]`
ITemperatureManager | TemperatureManager`[get]`
IOpticalFeedbackManager | OpticalFeedbackManager`[get]`
ILogger | Logger`[get]`
IMiscellaneousFeatures | MiscellaneousFeatures`[get]`
IMemoryManager | MemoryManager`[get]`
ISnapshotManager | SnapshotManager`[get]`
IVectorAdapter | VectorAdapter`[get]`
ISpi | Spi`[get]`
II2C | I2C`[get]`
ISignalFlowManager | SignalFlowManager`[get]`
Properties inherited from MrE2ModuleSdk.Device.ISignalFlowManager
IInputStage | InputStage`[get]`
IInputConditioningStage | InputConditioningStage`[get]`
IControlModeStage | ControlModeStage`[get]`
IOutputStage | OutputStage`[get]`
Properties inherited from MrE2ModuleSdk.Device.IInputStage
IStaticValue | StaticValue`[get]`
IAnalogInput | AnalogInput`[get]`
ISignalGenerator | SignalGenerator`[get]`
IArbitraryVector | ArbitraryVector`[get]`
Properties inherited from MrE2ModuleSdk.Device.IInputConditioningStage
IOffsetAndScale | OffsetAndScale`[get]`
Properties inherited from MrE2ModuleSdk.Device.IControlModeStage
IOpticalFeedbackPid | OpticalFeedbackPid`[get]`
IAnglePid | AnglePid`[get]`
Properties inherited from MrE2ModuleSdk.Device.IOutputStage
ILinearOutput | LinearOutput`[get]`

## Member Function Documentation

## ◆ ChangeActiveSystem() [1/2]

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ChangeActiveSystem | ( | EAxis | axis,
|  | EmrE2InputStageSystems | selectedInputStageSystem
| ) |  |
| inline

Changes active input system of the axis.

Returns

Implements MrE2ModuleSdk.Device.IInputStage.

## ◆ ChangeActiveSystem() [2/2]

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ChangeActiveSystem | ( | EMrE2ControlModeSystems | mrE2ControlModeSystem,
|  | EAxis | axis
| ) |  |
| inline

Sets active control mode system of the axis.

Returns

Implements MrE2ModuleSdk.Device.IControlModeStage.

## ◆ ChangeModeToPro()

bool MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ChangeModeToPro | ( |  | ) |
| inline

Switches device to PRO mode

Returns

Implements MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.

## ◆ ChangeModeToSimple()

bool MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ChangeModeToSimple | ( |  | ) |
| inline

Switches device to SIMPLE mode

Returns

Implements MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.

## ◆ Connect()

bool MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.Connect | ( | int | port | ) |
| inline

Connects to the device on given port

Parameters

  port |

Returns

Implements MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.

## ◆ Disconnect()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.Disconnect | ( |  | ) |
| inline

Disconnects from the device

Implements MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.

## ◆ DumpBoardEepromMappedMemory()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.DumpBoardEepromMappedMemory | ( |  | ) |
| inline

Dump board EEPROM mapped memory.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ DumpDeviceEepromMappedMemory()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.DumpDeviceEepromMappedMemory | ( |  | ) |
| inline

Dump device EEPROM mapped memory.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ DumpFpgaMappedMemory()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.DumpFpgaMappedMemory | ( |  | ) |
| inline

Dump FPGA mapped memory.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ FpgaStatusRegister()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.FpgaStatusRegister | ( |  | ) |
| inline

Get FPGA status register.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ GetBoardFirmwareBranch()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetBoardFirmwareBranch | ( |  | ) |
| inline

Returns branch ID of the electronic.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetBoardFirmwareBuildVersion()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetBoardFirmwareBuildVersion | ( |  | ) |
| inline

Returns firmware build version of the electronic.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetBoardFirmwareId()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetBoardFirmwareId | ( |  | ) |
| inline

Returns firmware ID of the electronic.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetBoardFirmwareMajorVersion()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetBoardFirmwareMajorVersion | ( |  | ) |
| inline

Returns firmware major version of the electronic.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetBoardFirmwareMinorVersion()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetBoardFirmwareMinorVersion | ( |  | ) |
| inline

Returns firmware minor version of the electronic.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetBoardFirmwareRevisionVersion()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetBoardFirmwareRevisionVersion | ( |  | ) |
| inline

Returns firmware revision version of the electronic.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetBoardFirmwareType()

char MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetBoardFirmwareType | ( |  | ) |
| inline

Returns type of the electronic.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetBytes()

byte [] MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetBytes | ( | int | index,
|  | int | length
| ) |  |
| inline

Returns board EEPROM bytes starting at index provided as parameter.

Returns

Implements MrE2ModuleSdk.Device.IBoardEeprom.

## ◆ GetCpuFpgaVersion()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetCpuFpgaVersion | ( |  | ) |
| inline

Returns CPU FPGA version.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetDeviceStatus()

IDeviceErrorState [] MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetDeviceStatus | ( |  | ) |
| inline

Returns states of the device.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetEepromSubVersion()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetEepromSubVersion | ( |  | ) |
| inline

Returns EEPROM subversion.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ GetEepromVersion()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetEepromVersion | ( |  | ) |
| inline

Returns EEPROM version.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ GetElectronicSerialNumber()

string MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetElectronicSerialNumber | ( |  | ) |
| inline

Returns serial number of the electronic

Returns

Implements MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetFirmwareSerialNumber()

string MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetFirmwareSerialNumber | ( |  | ) |
| inline

Returns firmware serial number.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetGitHeadSha1()

string MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetGitHeadSha1 | ( |  | ) |
| inline

Returns Git Head SHA1.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetMaxNegativeCurrent()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetMaxNegativeCurrent | ( |  | ) |
| inline

Returns max negative current.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ GetMaxPositiveCurrent()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetMaxPositiveCurrent | ( |  | ) |
| inline

Returns max positive current.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ GetPartConfiguration()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetPartConfiguration | ( |  | ) |
| inline

Returns part configuration value.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ GetPartConfigurationVersion()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetPartConfigurationVersion | ( |  | ) |
| inline

Returns part configuration version value.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ GetProductSerialNumber()

string MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetProductSerialNumber | ( |  | ) |
| inline

Returns serial number of the product

Returns

Implements MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetProxyFpgaVersion()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetProxyFpgaVersion | ( |  | ) |
| inline

Returns proxy FPGA version.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ GetTemperatureGradientA()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetTemperatureGradientA | ( |  | ) |
| inline

Returns temperature gradient for the A motor.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ GetTemperatureGradientB()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetTemperatureGradientB | ( |  | ) |
| inline

Returns temperature gradient for the B motor.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ GetTemperatureOffsetA()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetTemperatureOffsetA | ( |  | ) |
| inline

Returns temperature offset for the A motor.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ GetTemperatureOffsetB()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GetTemperatureOffsetB | ( |  | ) |
| inline

Returns temperature offset for the B motor.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ GoToDfuMode()

bool MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.GoToDfuMode | ( |  | ) |
| inline

Switches device to DFU mode

Returns

Implements MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.

## ◆ IsConnected()

bool MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.IsConnected | ( |  | ) |
| inline

Returns true, if connection to device is established

Returns

Implements MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.

## ◆ IsLoggerRunning()

bool MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.IsLoggerRunning | ( |  | ) |
| inline

Returns logger running status.

Returns

Implements MrE2ModuleSdk.Device.ILogger.

## ◆ IsRunning()

bool MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.IsRunning | ( | EAxis | axis | ) |
| inline

Returns status of signal generator (running, stopped).

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ LoadSnapshot()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.LoadSnapshot | ( | int | snapshotNumber | ) |
| inline

Loads the snapshot by it's number.

Returns

Implements MrE2ModuleSdk.Device.ISnapshotManager.

## ◆ LockMirrorEepromWriting()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.LockMirrorEepromWriting | ( |  | ) |
| inline

Locks mirror EEPROM writing.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ LockWriting()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.LockWriting | ( |  | ) |
| inline

Locks board EEPROM writing.

Returns

Implements MrE2ModuleSdk.Device.IBoardEeprom.

## ◆ ReadActiveInputType()

EUnitType MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadActiveInputType | ( | EAxis | axis | ) |
| inline

Returns active analog input type. Determined by active control stage system.

Returns

Implements MrE2ModuleSdk.Device.IAnalogInput.

## ◆ ReadActiveStaticInputType()

EUnitType MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadActiveStaticInputType | ( | EAxis | axis | ) |
| inline

Returns active static input type. Determined by active control stage system.

Returns

Implements MrE2ModuleSdk.Device.IStaticValue.

## ◆ ReadActiveSystem()

EmrE2InputStageSystems MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadActiveSystem | ( | EAxis | axis | ) |
| inline

Returns active input system of the axis.

Returns

Implements MrE2ModuleSdk.Device.IInputStage.

## ◆ ReadActualCurrent()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadActualCurrent | ( | EAxis | axis | ) |
| inline

Returns current current output in amperes for axis.

Returns

Implements MrE2ModuleSdk.Device.ILinearOutput.

## ◆ ReadActualOutputAngle()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadActualOutputAngle | ( | EAxis | axis | ) |
| inline

Returns actual output angle (XY).

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadActualOutputOpticalFeedback()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadActualOutputOpticalFeedback | ( | EAxis | axis | ) |
| inline

Returns actual output optical feedback.

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadAdcRawValue()

ushort MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadAdcRawValue | ( | EAxis | axis | ) |
| inline

Returns converted ADC raw value.

Returns

Implements MrE2ModuleSdk.Device.IAnalogInput.

## ◆ ReadAmplitude()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadAmplitude | ( | EAxis | axis | ) |
| inline

Returns amplitude of generated signal.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ ReadAngle()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadAngle | ( | EAxis | axis | ) |
| inline

Returns static input in XY coordinates. Range is from -1.0 to 1.0.

Returns

Implements MrE2ModuleSdk.Device.IStaticValue.

## ◆ ReadAverageLimitPeriod()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadAverageLimitPeriod | ( | EAxis | axis | ) |
| inline

Returns number of seconds to average current.

Returns

Implements MrE2ModuleSdk.Device.ILinearOutput.

## ◆ ReadAverageLimitSum()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadAverageLimitSum | ( | EAxis | axis | ) |
| inline

Returns maximum allowed average current in amperes.

Returns

Implements MrE2ModuleSdk.Device.ILinearOutput.

## ◆ ReadBoardEepromDumpSize()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadBoardEepromDumpSize | ( |  | ) |
| inline

Returns board EEPROM dump size.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ ReadBoardTemperature()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadBoardTemperature | ( |  | ) |
| inline

Returns board temperature.

Returns

Implements MrE2ModuleSdk.Device.ITemperatureManager.

## ◆ ReadBoardTemperatureThreshold()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadBoardTemperatureThreshold | ( |  | ) |
| inline

Returns board temperature threshold.

Returns

Implements MrE2ModuleSdk.Device.ITemperatureManager.

## ◆ ReadChannelNumber()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadChannelNumber | ( | EAxis | axis | ) |
| inline

Returns channel number.

Returns

Implements MrE2ModuleSdk.Device.ILinearOutput.

## ◆ ReadCooldownPeriod()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadCooldownPeriod | ( | EAxis | axis | ) |
| inline

Returns length of cool-down period in seconds.

Returns

Implements MrE2ModuleSdk.Device.ILinearOutput.

## ◆ ReadCurrent()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadCurrent | ( | EAxis | axis | ) |
| inline

Returns static input in amperes. Range is from -0.7 to 0.7.

Returns

Implements MrE2ModuleSdk.Device.IStaticValue.

## ◆ ReadCurrentLimit()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadCurrentLimit | ( | EAxis | axis | ) |
| inline

Returns limit in amperes where the output clamps.

Returns

Implements MrE2ModuleSdk.Device.ILinearOutput.

## ◆ ReadCycles()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadCycles | ( | EAxis | axis | ) |
| inline

Returns number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ ReadDataSize()

uint MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadDataSize | ( |  | ) |
| inline

Returns number of bytes to write or read. Can be between 1 and 4.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

## ◆ ReadDeviceEepromDumpSize()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadDeviceEepromDumpSize | ( |  | ) |
| inline

Returns device EEPROM dump size. Amount of device EEPROM bytes to dump.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ ReadDeviceTemperature()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadDeviceTemperature | ( |  | ) |
| inline

Returns device temperature.

Returns

Implements MrE2ModuleSdk.Device.ITemperatureManager.

## ◆ ReadDeviceTemperatureThreshold()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadDeviceTemperatureThreshold | ( |  | ) |
| inline

Returns board temperature threshold.

Returns

Implements MrE2ModuleSdk.Device.ITemperatureManager.

## ◆ ReadDutyCycles()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadDutyCycles | ( | EAxis | axis | ) |
| inline

Returns duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ ReadErrorFlag()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadErrorFlag | ( |  | ) |
| inline

Returns the error flag returned by the previous write or read operation.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

## ◆ ReadErrorRegisterId()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadErrorRegisterId | ( |  | ) |
| inline

Returns ID of register which caused the last snapshot error.

Returns

Implements MrE2ModuleSdk.Device.ISnapshotManager.

## ◆ ReadErrorSystemId()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadErrorSystemId | ( |  | ) |
| inline

Returns ID of system which caused the last snapshot error.

Returns

Implements MrE2ModuleSdk.Device.ISnapshotManager.

## ◆ ReadErrorValue()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadErrorValue | ( |  | ) |
| inline

Returns ID of value which caused the last snapshot error.

Returns

Implements MrE2ModuleSdk.Device.ISnapshotManager.

## ◆ ReadExternalTrigger()

bool MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadExternalTrigger | ( | EAxis | axis | ) |
| inline

Returns flag. If true, turning on the signal generator can be synchronized with an external signal.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ ReadFilteredPhotoDiodePd0()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadFilteredPhotoDiodePd0 | ( |  | ) |
| inline

Returns filtered photo diode PD0.

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadFilteredPhotoDiodePd1()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadFilteredPhotoDiodePd1 | ( |  | ) |
| inline

Returns filtered photo diode PD1.

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadFilteredPhotoDiodePd2()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadFilteredPhotoDiodePd2 | ( |  | ) |
| inline

Returns filtered photo diode PD2.

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadFilteredPhotoDiodePd3()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadFilteredPhotoDiodePd3 | ( |  | ) |
| inline

Returns filtered photo diode PD3.

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadFrequency()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadFrequency | ( | EAxis | axis | ) |
| inline

Returns frequency in Hz of generated signal.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ ReadI2CReadPointer0Address()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadI2CReadPointer0Address | ( |  | ) |
| inline

Returns the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency.

Returns

Implements MrE2ModuleSdk.Device.II2C.

## ◆ ReadI2CReadPointer1Address()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadI2CReadPointer1Address | ( |  | ) |
| inline

Returns the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency.

Returns

Implements MrE2ModuleSdk.Device.II2C.

## ◆ ReadLoggedRegisterAddress()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadLoggedRegisterAddress | ( | int | registerNumber | ) |
| inline

Returns address of register to log in the corresponding vector.

Parameters

  registerNumber | Number of register 0,1,2,3,4,5>

Returns

Implements MrE2ModuleSdk.Device.ILogger.

## ◆ ReadLoggerMaximumSamplingFrequency()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadLoggerMaximumSamplingFrequency | ( |  | ) |
| inline

Returns maximum sampling rate in Hz which the logger logs values.

Returns

Implements MrE2ModuleSdk.Device.ILogger.

## ◆ ReadLoggerMinimumSamplingFrequency()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadLoggerMinimumSamplingFrequency | ( |  | ) |
| inline

Returns minimum sampling rate in Hz which the logger logs values.

Returns

Implements MrE2ModuleSdk.Device.ILogger.

## ◆ ReadLoggerRegisterLog()

int [] MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadLoggerRegisterLog | ( | int | registerNumber,
|  | int | startIndex = `0`,
|  | int | endIndex = `5000`
| ) |  |
| inline

Returns logged values for corresponding registers.

Parameters

  registerNumber | Number of register 0,1,2,3,4,5>

Returns

Implements MrE2ModuleSdk.Device.ILogger.

## ◆ ReadLoggerSamplingRate()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadLoggerSamplingRate | ( |  | ) |
| inline

Returns sampling rate in Hz which the logger logs values.

Returns

Implements MrE2ModuleSdk.Device.ILogger.

## ◆ ReadMaximumSamplingRate()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadMaximumSamplingRate | ( | EAxis | axis | ) |
| inline

Returns maximum sampling rate in Hz.

Returns

Implements MrE2ModuleSdk.Device.IArbitraryVector.

## ◆ ReadMinimumSamplingRate()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadMinimumSamplingRate | ( | EAxis | axis | ) |
| inline

Returns minimum sampling rate in Hz.

Returns

Implements MrE2ModuleSdk.Device.IArbitraryVector.

## ◆ ReadMirrorLedIntensity()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadMirrorLedIntensity | ( |  | ) |
| inline

Returns mirror LED intensity. 1.0 corresponds to 100mA.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ ReadNumberOfAvailableSnapshots()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadNumberOfAvailableSnapshots | ( |  | ) |
| inline

Returns number of available snapshot slots.

Returns

Implements MrE2ModuleSdk.Device.ISnapshotManager.

## ◆ ReadOffset()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadOffset | ( | EAxis | axis | ) |
| inline

Returns offset of generated signal.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ ReadOpticalFeedback()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadOpticalFeedback | ( | EAxis | axis | ) |
| inline

Returns static input in OF. Range differs for each mirror.

Returns

Implements MrE2ModuleSdk.Device.IStaticValue.

## ◆ ReadPhaseDelay()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadPhaseDelay | ( | EAxis | axis | ) |
| inline

Returns phase in rad of generated signal.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ ReadRawPhotoDiodePd0()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadRawPhotoDiodePd0 | ( |  | ) |
| inline

Returns raw photo diode PD0.

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadRawPhotoDiodePd1()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadRawPhotoDiodePd1 | ( |  | ) |
| inline

Returns raw photo diode PD1.

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadRawPhotoDiodePd2()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadRawPhotoDiodePd2 | ( |  | ) |
| inline

Returns raw photo diode PD2.

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadRawPhotoDiodePd3()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadRawPhotoDiodePd3 | ( |  | ) |
| inline

Returns raw photo diode PD3.

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadSampleRate()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadSampleRate | ( | EAxis | axis | ) |
| inline

Returns sample rate in Hz.

Returns

Implements MrE2ModuleSdk.Device.IArbitraryVector.

## ◆ ReadScale()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadScale | ( | EAxis | axis | ) |
| inline

Returns multiplier of input.

Returns

Implements MrE2ModuleSdk.Device.IOffsetAndScale.

## ◆ ReadShape()

EWaveformShape MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadShape | ( | EAxis | axis | ) |
| inline

Returns shape of waveform.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ ReadSignalGeneratorValues()

SignalGeneratorValuesDto MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadSignalGeneratorValues | ( | EAxis | axis | ) |
| inline

Returns object populated with signal generator values.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ ReadSpiReadPointer0Address()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadSpiReadPointer0Address | ( |  | ) |
| inline

Returns the address of the register that will be used to update the read back bytes 4-7 in the slave response.

Returns

Implements MrE2ModuleSdk.Device.ISpi.

## ◆ ReadSpiReadPointer1Address()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadSpiReadPointer1Address | ( |  | ) |
| inline

Returns the address of the register that will be used to update the read back bytes 8-11 in the slave response.

Returns

Implements MrE2ModuleSdk.Device.ISpi.

## ◆ ReadStabilityCriterionPositionParameterA()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadStabilityCriterionPositionParameterA | ( |  | ) |
| inline

Returns stability criterion position parameter A (see MR-E-2 documentation for further details).

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadStabilityCriterionPositionParameterB()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadStabilityCriterionPositionParameterB | ( |  | ) |
| inline

Returns stability criterion position parameter B (see MR-E-2 documentation for further details).

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadStabilityCriterionVelocityParameterA()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadStabilityCriterionVelocityParameterA | ( |  | ) |
| inline

Returns stability criterion velocity parameter A (see MR-E-2 documentation for further details).

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadStabilityCriterionVelocityParameterB()

float MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadStabilityCriterionVelocityParameterB | ( |  | ) |
| inline

Returns stability criterion velocity parameter B (see MR-E-2 documentation for further details).

Returns

Implements MrE2ModuleSdk.Device.IOpticalFeedbackManager.

## ◆ ReadStartupSnapshotNumber()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadStartupSnapshotNumber | ( |  | ) |
| inline

Returns snapshot's number that is load on system startup.

Returns

Implements MrE2ModuleSdk.Device.ISnapshotManager.

## ◆ ReadSystemTick()

uint MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadSystemTick | ( |  | ) |
| inline

Returns system tick. Register value is incremented by one at the controller frequency (10kHz).

Returns

Implements MrE2ModuleSdk.Device.ISpi.

## ◆ ReadUnitType()

EUnitType MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadUnitType | ( | EAxis | axis | ) |
| inline

Returns active analog input type. Determined by active control stage system.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ ReadVector()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadVector | ( |  | ) |
| inline

Reads vector. After reading, vector index is automatically incremented by the data size.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

## ◆ ReadVectorAddress()

int MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadVectorAddress | ( |  | ) |
| inline

Returns vector address ('System ID' + 'Vector ID') to write or read.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

## ◆ ReadVectorData()

byte [] MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadVectorData | ( |  | ) |
| inline

Returns vector data to write or read.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

## ◆ ReadVectorIndex()

uint MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReadVectorIndex | ( |  | ) |
| inline

Returns index within vector to write or read.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

## ◆ ReaI2CErrorResponse0()

uint MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReaI2CErrorResponse0 | ( |  | ) |
| inline

Returns error response of the first register of the write request.

Returns

Implements MrE2ModuleSdk.Device.II2C.

## ◆ ReaI2CErrorResponse1()

uint MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReaI2CErrorResponse1 | ( |  | ) |
| inline

Returns error response of the second register of the write request.

Returns

Implements MrE2ModuleSdk.Device.II2C.

## ◆ Reconnect()

bool MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.Reconnect | ( |  | ) |
| inline

Reconnects to already connected device

Returns

Implements MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReparseMirrorEeprom()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ReparseMirrorEeprom | ( |  | ) |
| inline

Reparse mirror EEPROM.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ ResetErrorFlags()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ResetErrorFlags | ( |  | ) |
| inline

Resets error flag to 0.

Returns

Implements MrE2ModuleSdk.Device.IStatus.

## ◆ ResetFirmware()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.ResetFirmware | ( |  | ) |
| inline

Resets firmware.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ SaveMemoryPersistence()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.SaveMemoryPersistence | ( |  | ) |
| inline

Saves the vector pattern memory contents (RAM) to the flash memory.

Returns

Implements MrE2ModuleSdk.Device.IMemoryManager.

## ◆ SaveSnapshot()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.SaveSnapshot | ( | int | snapshotNumber | ) |
| inline

Saves current configuration to the snapshot by it's number.

Returns

Implements MrE2ModuleSdk.Device.ISnapshotManager.

## ◆ SetBytes()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.SetBytes | ( | int | index,
|  | byte[] | inputBytes
| ) |  |
| inline

Sets board EEPROM bytes starting at index provided as parameter.

Returns

Implements MrE2ModuleSdk.Device.IBoardEeprom.

## ◆ StartLogger()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.StartLogger | ( |  | ) |
| inline

Starts logger. Will be stopped after the memory is filled.

Returns

Implements MrE2ModuleSdk.Device.ILogger.

## ◆ StopLogger()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.StopLogger | ( |  | ) |
| inline

Stops logger.

Returns

Implements MrE2ModuleSdk.Device.ILogger.

## ◆ SwitchArbitraryVector()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.SwitchArbitraryVector | ( | EAxis | axis,
|  | bool | running
| ) |  |
| inline

Sets status of signal generator (running, stopped).

Returns

Implements MrE2ModuleSdk.Device.IArbitraryVector.

## ◆ SwitchCpuBoardStatusLed()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.SwitchCpuBoardStatusLed | ( | bool | enabled | ) |
| inline

Disable/enable CPU board status LED.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ SwitchProxyBoardStatusLed()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.SwitchProxyBoardStatusLed | ( | bool | enabled | ) |
| inline

Disable/enable proxy board status LED.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ SwitchProxyFpgaClock()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.SwitchProxyFpgaClock | ( | bool | enabled | ) |
| inline

Disable/enable proxy FPGA clock.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ SwitchRunning()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.SwitchRunning | ( | EAxis | axis,
|  | bool | enable
| ) |  |
| inline

Disable/enable signal generator (running, stopped).

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ UnlockMirrorEepromWriting()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.UnlockMirrorEepromWriting | ( |  | ) |
| inline

Unlocks mirror EEPROM writing.

Returns

Implements MrE2ModuleSdk.Device.IDeviceEeprom.

## ◆ UnlockWriting()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.UnlockWriting | ( |  | ) |
| inline

Unlocks board EEPROM writing.

Returns

Implements MrE2ModuleSdk.Device.IBoardEeprom.

## ◆ WriteAmplitude()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteAmplitude | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets amplitude of generated signal.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ WriteAngle()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteAngle | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets static input in XY coordinates. Range is from -1.0 to 1.0.

Returns

Implements MrE2ModuleSdk.Device.IStaticValue.

## ◆ WriteAverageLimitPeriod()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteAverageLimitPeriod | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets number of seconds to average current.

Returns

Implements MrE2ModuleSdk.Device.ILinearOutput.

## ◆ WriteAverageLimitSum()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteAverageLimitSum | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets maximum allowed average current in amperes.

Returns

Implements MrE2ModuleSdk.Device.ILinearOutput.

## ◆ WriteBoardEepromDumpSize()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteBoardEepromDumpSize | ( | int | eepromDumpSize | ) |
| inline

Sets board EEPROM dump size. Amount of device EEPROM bytes to dump.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ WriteBoardTemperatureThreshold()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteBoardTemperatureThreshold | ( | int | temperatureThreshold | ) |
| inline

Sets board temperature threshold.

Returns

Implements MrE2ModuleSdk.Device.ITemperatureManager.

## ◆ WriteCooldownPeriod()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteCooldownPeriod | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets length of cool-down period in seconds.

Returns

Implements MrE2ModuleSdk.Device.ILinearOutput.

## ◆ WriteCurrent()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteCurrent | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets static input in amperes. Range is from -0.7 to 0.7.

Returns

Implements MrE2ModuleSdk.Device.IStaticValue.

## ◆ WriteCurrentLimit()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteCurrentLimit | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets limit in amperes where the output clamps.

Returns

Implements MrE2ModuleSdk.Device.ILinearOutput.

## ◆ WriteCycles()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteCycles | ( | EAxis | axis,
|  | int | cycles
| ) |  |
| inline

Sets number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ WriteDataSize()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteDataSize | ( | uint | dataSize | ) |
| inline

Sets number of bytes to write or read. Can be between 1 and 4.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

## ◆ WriteDeviceEepromDumpSize()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteDeviceEepromDumpSize | ( | int | eepromDumpSize | ) |
| inline

Sets device EEPROM dump size. Amount of device EEPROM bytes to dump.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ WriteDeviceTemperatureThreshold()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteDeviceTemperatureThreshold | ( | int | temperatureThreshold | ) |
| inline

Sets device temperature threshold.

Returns

Implements MrE2ModuleSdk.Device.ITemperatureManager.

## ◆ WriteDutyCycles()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteDutyCycles | ( | EAxis | axis,
|  | float | dutyCycles
| ) |  |
| inline

Sets duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ WriteExternalTrigger()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteExternalTrigger | ( | EAxis | axis,
|  | bool | trigger
| ) |  |
| inline

Sets flag. If true, turning on the signal generator can be synchronized with an external signal.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ WriteFrequency()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteFrequency | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets frequency in Hz of generated signal.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ WriteI2CReadPointer0Address()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteI2CReadPointer0Address | ( | int | address | ) |
| inline

Sets the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency.

Returns

Implements MrE2ModuleSdk.Device.II2C.

## ◆ WriteI2CReadPointer1Address()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteI2CReadPointer1Address | ( | int | address | ) |
| inline

Sets the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency.

Returns

Implements MrE2ModuleSdk.Device.II2C.

## ◆ WriteLoggedRegisterAddress()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteLoggedRegisterAddress | ( | int | registerNumber,
|  | ushort | registerAddress
| ) |  |
| inline

Sets address of register to log in the corresponding vector.

Parameters

  registerNumber | Number of register 0,1,2,3,4,5>
  registerAddress | Register address

Returns

Implements MrE2ModuleSdk.Device.ILogger.

## ◆ WriteLoggerSamplingRate()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteLoggerSamplingRate | ( | float | samplingRate | ) |
| inline

Sets sampling rate in Hz which the logger logs values.

Returns

Implements MrE2ModuleSdk.Device.ILogger.

## ◆ WriteMirrorLedIntensity()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteMirrorLedIntensity | ( | float | ledIntensity | ) |
| inline

Configures mirror LED intensity. 1.0 corresponds to 100mA.

Returns

Implements MrE2ModuleSdk.Device.IMiscellaneousFeatures.

## ◆ WriteOffset()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteOffset | ( | EAxis | axis,
|  | float | offset
| ) |  |
| inline

Sets offset of generated signal.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ WriteOpticalFeedback()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteOpticalFeedback | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets static input in OF. Range differs for each mirror.

Returns

Implements MrE2ModuleSdk.Device.IStaticValue.

## ◆ WritePhaseDelay()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WritePhaseDelay | ( | EAxis | axis,
|  | float | phaseDelay
| ) |  |
| inline

Sets phase in rad of generated signal.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ WriteSampleRate()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteSampleRate | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets sample rate in Hz.

Returns

Implements MrE2ModuleSdk.Device.IArbitraryVector.

## ◆ WriteScale()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteScale | ( | EAxis | axis,
|  | float | value
| ) |  |
| inline

Sets multiplier of input.

Returns

Implements MrE2ModuleSdk.Device.IOffsetAndScale.

## ◆ WriteShape()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteShape | ( | EAxis | axis,
|  | EWaveformShape | shape
| ) |  |
| inline

Sets shape of waveform.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ WriteSignalGeneratorValues()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteSignalGeneratorValues | ( | SignalGeneratorValuesDto | axisValues,
|  | EAxis | axis
| ) |  |
| inline

Sets object populated with signal generator values.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ WriteSpiReadPointer0Address()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteSpiReadPointer0Address | ( | int | address | ) |
| inline

Sets the address of the register that will be used to update the read back bytes 4-7 in the slave response.

Returns

Implements MrE2ModuleSdk.Device.ISpi.

## ◆ WriteSpiReadPointer1Address()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteSpiReadPointer1Address | ( | int | address | ) |
| inline

Sets the address of the register that will be used to update the read back bytes 8-11 in the slave response.

Returns

Implements MrE2ModuleSdk.Device.ISpi.

## ◆ WriteStartupSnapshotNumber()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteStartupSnapshotNumber | ( | int | snapshotNumber | ) |
| inline

Sets snapshot's number that is load on system startup.

Returns

Implements MrE2ModuleSdk.Device.ISnapshotManager.

## ◆ WriteUnitType()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteUnitType | ( | EAxis | axis,
|  | EUnitType | unit
| ) |  |
| inline

Sets active analog input type. Determined by active control stage system.

Returns

Implements MrE2ModuleSdk.Device.ISignalGenerator.

## ◆ WriteVector()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteVector | ( |  | ) |
| inline

Writes vector. After writing, vector index is automatically incremented by the data size.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

## ◆ WriteVectorAddress()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteVectorAddress | ( | int | vectorAddress | ) |
| inline

Sets vector address ('System ID' + 'Vector ID') to write or read.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

## ◆ WriteVectorData()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteVectorData | ( | byte[] | vectorData | ) |
| inline

Sets vector data to write or read.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

## ◆ WriteVectorIndex()

void MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.WriteVectorIndex | ( | uint | vectorIndex | ) |
| inline

Sets index within vector to write or read.

Returns

Implements MrE2ModuleSdk.Device.IVectorAdapter.

The documentation for this class was generated from the following file:

- Device/MrE2SdkComDeviceController.cs